HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCustomersCustomerFundingInstructions

Contains the different functions to run the operation postCustomersCustomerFundingInstructions

  • 6 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports10
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCustomersCustomerFundingInstructions.hs
valuepostCustomersCustomerFundingInstructions
  1. :: MonadHTTP m
  2. => Text

    customer | Constraints: Maximum length of 5000

  3. -> PostCustomersCustomerFundingInstructionsRequestBody

    The request body to send

  4. -> ClientT m (Response PostCustomersCustomerFundingInstructionsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/customers/{customer}/funding_instructions

<p>Retrieve funding instructions for a customer cash balance. If funding instructions do not yet exist for the customer, new funding instructions will be created. If funding instructions have already been created for a given customer, the same funding instructions will be retrieved. In other words, we will return the same funding instructions each time.</p>

Defines the object schema located at paths./v1/customers/{customer}/funding_instructions.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}/funding_instructions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_transfer.properties.eu_bank_transfer in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}/funding_instructions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_transfer.properties.requested_address_types.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}/funding_instructions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_transfer.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCustomersCustomerFundingInstructions.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCustomersCustomerFundingInstructionsResponseError is used.

Instances2Eq, Show